# Protevus Platform Core

<p align="center"><img src="https://raw.githubusercontent.com/protevus/branding/main/protevus-logo-bg.png" alt="Protevus Logo" width="400"></p>

[![Pub Version (including pre-releases)](https://img.shields.io/pub/v/protevus_core?include_prereleases)](https://pub.dev/packages/protevus_core)
[![Null Safety](https://img.shields.io/badge/null-safety-brightgreen)](https://dart.dev/null-safety)
[![License](https://img.shields.io/github/license/protevus/platform)](https://github.com/protevus/platform/blob/main/packages/core/LICENSE)

Protevus Platform Core is a high-powered HTTP server framework for Dart, designed to be minimal yet extensible. It provides a robust foundation for building scalable and flexible web applications.

## Features

- Dependency injection
- Sophisticated routing
- Authentication support
- ORM integration
- GraphQL support
- Extensible plugin architecture
- HTTP/2 support
- WebSocket capabilities
- File handling and MIME type detection
- Environment configuration management
- Performance optimization with caching mechanisms

## Installation

Add `protevus_core` to your `pubspec.yaml`:

```yaml
dependencies:
  protevus_core: ^latest_version
```